
From: <gerg@snapgear.com>

Fixes to the Motorola ColdFire 5307 setup code:

. fix interrupt routine return types to be irqreturn_t
. add DMA base addresses array


---

 25-akpm/arch/m68knommu/platform/5307/config.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/m68knommu/platform/5307/config.c~use-irqreturn_t-in-coldfire-5307-setup-code arch/m68knommu/platform/5307/config.c
--- 25/arch/m68knommu/platform/5307/config.c~use-irqreturn_t-in-coldfire-5307-setup-code	Fri Apr  9 14:33:51 2004
+++ 25-akpm/arch/m68knommu/platform/5307/config.c	Fri Apr  9 14:33:51 2004
@@ -14,6 +14,7 @@
 #include <linux/sched.h>
 #include <linux/param.h>
 #include <linux/init.h>
+#include <linux/interrupt.h>
 #include <asm/irq.h>
 #include <asm/dma.h>
 #include <asm/traps.h>
@@ -28,7 +29,7 @@
 /***************************************************************************/
 
 void coldfire_tick(void);
-void coldfire_timer_init(void (*handler)(int, void *, struct pt_regs *));
+void coldfire_timer_init(irqreturn_t (*handler)(int, void *, struct pt_regs *));
 unsigned long coldfire_timer_offset(void);
 void coldfire_trap_init(void);
 void coldfire_reset(void);
@@ -49,6 +50,8 @@ unsigned int   dma_base_addr[MAX_M68K_DM
         MCF_MBAR + MCFDMA_BASE3,
 };
 
+unsigned int dma_device_address[MAX_M68K_DMA_CHANNELS];
+
 /***************************************************************************/
 
 void mcf_autovector(unsigned int vec)

_
